Summary: A powerful file compression utility.
Name: bzip2
Version: 1.0.0
Release: 1
Group: Applications/File
Copyright: GPL
Url: http://sourceware.cygnus.com/bzip2/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://sourceware.cygnus.com/pub/bzip2/v095/bzip2-%{version}.tar.gz
Source1: libbz2.so.0.0.0
Obsoletes: bzip2-devel
BuildRoot: /var/tmp/%{name}-root

%description
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities of the
best techniques available.  However, bzip2 has the added benefit of
being approximately two times faster at compression and six times faster
at decompression than those techniques.  Bzip2 is not the fastest
compression utility, but it does strike a balance between speed and
compression capability.

The shared library of bzip2-0.9.5d is also bundled in this package so
executables dynamically linked against it will still run without the
need to re-link.


%prep
%setup -q


%build
make
make -f Makefile-libbz2_so
gzip manual.ps


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make install PREFIX=$RPM_BUILD_ROOT/usr

# Replace duplicated files with symbolic links
ln -sf bzip2 $RPM_BUILD_ROOT/usr/bin/bunzip2
ln -sf bzip2 $RPM_BUILD_ROOT/usr/bin/bzcat

# Strip them!
strip $RPM_BUILD_ROOT/usr/bin/* ||:

# Manually install shared library. Made some version assumption here.
install -p -m755 libbz2.so.%{version} $RPM_BUILD_ROOT/usr/lib
ln -s libbz2.so.%{version} $RPM_BUILD_ROOT/usr/lib/libbz2.so.1.0

# These are from bzip2-0.9.5d. Some packages (eg. rpm) still need them.
install -p -m755 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib
ln -s libbz2.so.0.0.0 $RPM_BUILD_ROOT/usr/lib/libbz2.so.0


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc CHANGES LICENSE README* Y2K_INFO manual.ps.gz manual*.html
/usr/bin/*
/usr/include/*
/usr/lib/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

